unit unMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  Spin, StdCtrls;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    labDiameter: TLabel;
    labCircumference: TLabel;
    labArea: TLabel;
    labRadius: TLabel;
    shRound: TShape;
    spRadius: TSpinEdit;
    procedure spRadiusChange(Sender: TObject);
  private

  public

  end;

var
  frmMain: TfrmMain;

implementation

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.spRadiusChange(Sender: TObject);

var radius,
    diameter       : integer;
    circumference,
    area           : real;

begin
  //work stuff out and display it
  //harvest radius
  radius := spRadius.Value;

  //rescale circle
  shRound.Width  := radius*2;
  shRound.Height := radius*2;


  //calc diameter
  diameter := radius*2;
  labDiameter.Caption := 'Diameter = ' + inttostr(diameter);


  //calc circumference
  circumference := pi * diameter;
  labCircumference.Caption := 'Circumference = ' + floattostr(circumference);


  //calc area
  area := pi * radius*radius;
  labArea.caption := 'Area = '+ floattostr(area);



end;

end.

